/* Basic Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{padding-top: 22px;font-family: Merriweather, serif;
    font-family: 'Google Sans', 'Roboto', sans-serif;
    font-weight: 400;
    line-height: 1.6;
}
.site-header {
    position: fixed;
    top: 0;
    width: 100%;
    background: black;
    color: white;
    padding: 12px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    font-family: Merriweather, serif;
}

.logo {
    display: flex;
    align-items: center;
    font-size: 20px;
    font-weight: bold;
}

.logo img {
    height: 35px;
    margin-right: 10px;
}

.menu-btn {
    font-size: 28px;
    cursor: pointer;
}

.menu {
    display: none;
    position: absolute;
    top: 60px;
    right: 20px;
    background: black;
    padding: 10px 20px;
    border-radius: 8px;
}

.menu a {
    display: block;
    color: white;
    padding: 8px 0;
    text-decoration: none;
    font-size: 16px;
}

.menu a:hover {
    color: #ccc;
}

.hero-banner {
    height: 550px; /* Full page height */
    background: url('../../assets/images/home/valet-pet-transport.jpg') no-repeat center center/cover;
    position: relative;
    background-position: center;
    background-size: contain;
}

.hero-banner.contact {
    height: 650px; /* Full page height */
    background: url('../../assets/images/banner/dmsp.jpg') no-repeat center center/cover;
}
.hero-banner.our-story {
    height: 550px; /* Full page height */
    background: url('../../assets/images/banner/our-story.jpg') no-repeat center center/cover;
    background-position-y: 30%;
}

.hero-banner.thing-to-know {
    height: 550px; /* Full page height */
    background: url('../../assets/images/banner/dock.jpg') no-repeat center center/cover;
}

.hero-banner.vehicles{
    height: 550px; /* Full page height */
    background: url('../../assets/images/banner/puppy.jpg') no-repeat center center/cover;
    background-position-y: 35%;
}

.hero-banner.services{
    height: 550px; /* Full page height */
    background: url('../../assets/images/banner/dogs.jpg') no-repeat center center/cover;
    background-position-y: 35%;
}

.hero-banner .banner-title{
    font-size: 45pt;
    font-style: italic;
    font-weight: 900;
    position: relative;
    top: -30px;

}
.hero-banner .banner-title::before {
    content: "";
    position: absolute;
    top: calc(100% + 15px);
    left: 0;
    right: 0;
    width: 80%;
    height: 10px;
    background: #3b0b25;
    max-width: 150px;
    margin: auto;
}

.hero-banner.contact::before,
.hero-banner.contact::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.35); /* Dark overlay */
}

.hero-banner.thing-to-know::before,
.hero-banner.vehicles::before,
.hero-banner.services::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.35);
}

.hero-banner > div {
    position: relative;
    z-index: 2;
}

.bg-custom-light{background-color: #ebe7e9}
.bg-custom-dark{background-color: #3b0b25}

/* Menu button wrapper */
.button-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 22px;
    justify-content: center;
}

/* Menu buttons */
.menu-btn {
    padding: 4px 25px;
    background: #3b0b25;
    border-radius: 5px;
    text-decoration: none;
    color: #fff;
    font-weight: 500;
    transition: all 0.3s ease;
    font-size: 18px;
    min-width: 160px;
    border: 1px solid #fff;
}

/* Hover effect */
.menu-btn:hover {
    background: #000;
    color: #fff;
    border-color: #000;
}

.story-card {
    padding: 10px;
    background: #fff;
    border-radius: 10px;
    transition: 0.3s ease;
    box-shadow: 0 0 5px rgba(0,0,0,0.05);
}

.story-card:hover {
    transform: translateY(-3px);
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
}

.story-img {
    border-radius: 8px;
    height: 160px;
    width: 100%;
    object-fit: cover;
}
.usda-wrapper{
    width: 265px;
    left: 25%;
    top: -100px;
}
.usda-wrapper img{max-width: 100%;}
.custom-font-style{font-family: Merriweather, serif;}
.equal-img {
    height: 450px; /* set any height you want */
    object-fit: cover;
    width: 100%;
    border-radius: 8px; /* optional */
}

/* Mobile responsiveness */
@media (max-width: 576px) {
    .menu-btn {
        width: 100%;
        text-align: center;
    }
    .hero-banner.home{
        background-position: 0 28px;
    }
    .usda-wrapper {
        width: 265px;
        left: 0%;
        top: 60px;
    }
    .button-wrapper .menu-btn{
        width: auto;
        min-width: 135px;
    }
    .hero-banner .banner-title{font-size: 34pt;line-height: 48pt;}
    .hero-banner.contact,
    .hero-banner.services,
    .hero-banner.our-story,
    .hero-banner.vehicles,
    .hero-banner.thing-to-know {height: 345px;}
}